#ifndef __vtkMRIBiasPoly_h
#define __vtkMRIBiasPoly_h

#include "vtkKWObject.h"
class vtkXMLImageDataReader;
class vtkKWMenuButtonWithSpinButtonsWithLabel;
class vtkKWWindow;
class vtkKWApplication;
class vtkKWRenderWidget;
class vtkImageViewer2;
class vtkKWScale;
class vtkKWWindowLevelPresetSelector;
class vtkKWSimpleAnimationWidget;
class vtkMRIBiasPolySliceView;
class vtkKWFrame;

class vtkMRIBiasPoly : public vtkKWObject
{
public:
  static vtkMRIBiasPoly* New();
  vtkTypeRevisionMacro(vtkMRIBiasPoly,vtkKWObject);

  // Description:
  // Run the example.
  int Run(int argc, char *argv[]);
  virtual void SetSliceFromScaleCallback0(double value);
  virtual void SetSliceFromScaleCallback1(double value);
  virtual void SetSliceFromScaleCallback2(double value);

protected:
  vtkMRIBiasPoly() {};
  ~vtkMRIBiasPoly() {};
private:
  vtkMRIBiasPoly(const vtkMRIBiasPoly&);   // Not implemented.
  void operator=(const vtkMRIBiasPoly&);  // Not implemented.
  vtkImageViewer2                *ImageViewer[2][3]; 
  vtkKWScale                     *SliceScale[3];
  vtkKWRenderWidget              *RenderWidget[2][3];
  vtkKWMenuButtonWithSpinButtonsWithLabel *orientation_menubutton;

};

#endif
